Add an SSH key
POST
apiToken ssh-keys:writeheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: ssh-keys:write
application/json- body
name?stringpublicKey*stringOperation completed or accepted; asynchronous actions may still be running.
application/json- response
id*numbername*stringkeyType*stringfingerprint*stringpublicKey*stringcreatedAt*stringFormat
date-timelastUsedAt*null|curl -X POST 'https://api.deluxhost.net/v1/ssh-keys' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "publicKey": "string"}'Example Response
{ "id": 0, "name": "string", "keyType": "string", "fingerprint": "string", "publicKey": "string", "createdAt": "2019-08-24T14:15:22Z", "lastUsedAt": null}